//window.addEventListener('DOMContentLoaded', () => {
window.addEventListener('load', () => {

  const path = require('path');
  const { ipcRenderer } = require('electron');
  // const { contextBridge } = require('electron');
  // contextBridge.exposeInMainWorld("electron", {
  //   ipcRenderer: ipcRenderer
  // });

  //var GHOST_CONF = false;

  // ユーザの入力があったとき
  document.getElementById("munoh_input").addEventListener("keypress", (e) => {
    if (e.key == "Enter") {
      ipcRenderer.send('input-message', e.target.value);
    }
  });

  // 表示したらフォーカス
  ipcRenderer.on('input-focus-message', (e, arg) => {
    document.getElementById("munoh_input").focus();
  });

  // 準備OKフラグ送信
  ipcRenderer.send('input-ready-message', "1");
  ipcRenderer.on('input-ready-reply', (e, arg) => {
    //GHOST_CONF = require(path.join(__dirname, "..", "ghost", a.ghost, "config.js"));
  });

})
